Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.util
Class TimedIterator

    java.lang.Object
      cascading.flow.hadoop.util.TimedIterator

All Implemented Interfaces:
  Iterator

    public class TimedIterator

extends Object
implements Iterator

Constructor Summary
`TimedIterator(FlowProcess flowProcess, Enum durationCounter, Enum countCounter)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`
`void` | `reset(Iterator iterator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedIterator

    public TimedIterator(FlowProcess flowProcess,
                         Enum durationCounter,
                         Enum countCounter)

Method Detail

### reset

    public void reset(Iterator iterator)

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.